Переполнение буфера в libsndfile

Дата публикации:
18.05.2009
Дата изменения:
18.05.2009
Всего просмотров:
2481
Опасность:
Высокая
Наличие исправления:
Да
Количество уязвимостей:
1
CVSSv2 рейтинг:
CVE ID:
Нет данных
Вектор эксплуатации:
Удаленная
Воздействие:
Отказ в обслуживании
Компрометация системы
CWE ID:
Нет данных
Наличие эксплоита:
Нет данных
Уязвимые продукты:
libsndfile 1.x
Уязвимые версии: libsndfile версии до 1.0.20

Описание:
Обнаруженные уязвимости позволяют удаленному пользователю вызвать отказ в обслуживании и скомпрометировать целевую систему.

1. Уязвимость существует из-за ошибки проверки границ данных в функции "voc_read_header()" в файле src/voc.c. Удаленный пользователь может с помощью специально сформированного VOC файла вызвать переполнение динамической памяти и выполнить произвольный код на целевой системе.

2. Уязвимость существует из-за ошибки проверки границ данных в функции "aiff_read_header()" в файле src/aiff.c. Удаленный пользователь может с помощью специально сформированного AIFF файла вызвать переполнение динамической памяти и выполнить произвольный код на целевой системе.

URL производителя: www.mega-nerd.com/libsndfile/

Решение: Установите последнюю версию 1.0.20 с сайта производителя.

Ссылки: http://www.mega-nerd.com/erikd/Blog/CodeHacking/libsndfile/
http://trapkit.de/advisories/TKADV2009-006.txt

или введите имя

CAPTCHA